Page MenuHomePhabricator

Echo notifications is mis-reporting the location of some messages as being "in footer"
Closed, ResolvedPublic

Description

Some messages are getting messages like this:

(username redacted) left a message on your talk page in "footer".

https://en.wikipedia.org/w/index.php?diff=663446063 is an example. Perhaps 'footer' is the default for any section whose name can't be determined?

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2015, 2:33 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 22 2015, 2:45 AM

Mentioned at https://en.wikipedia.org/wiki/Wikipedia_talk:Notifications#New_messages_link (permalink):

For the past few days, whenever I click on the "you have new messages" link, I am sent to User_talk:Nikkimaria#footer, no matter where on the page the new message happens to be. Previously the link went to the actual section containing the new message, which was far preferable. Has this changed for everyone, and if so can we change it back? Nikkimaria (talk) 02:20, 16 May 2015 (UTC)

DannyH triaged this task as High priority.Jun 2 2015, 5:11 PM
DannyH added a subscriber: DannyH.

Yeah, this breaks notifications. Thanks for the report.

SBisson claimed this task.Jun 2 2015, 9:31 PM
SBisson added a comment.EditedJun 3 2015, 2:23 PM

Defaulting to footer was recently introduced by https://gerrit.wikimedia.org/r/#/c/206639 in order to fix email notification as described here: https://meta.wikimedia.org/wiki/Talk:Single_User_Login_finalisation_announcement/Personal_announcement#enotiftalk

Change 215664 had a related patch set uploaded (by Sbisson):
Fix new talk page message notification

https://gerrit.wikimedia.org/r/215664

Change 215664 merged by jenkins-bot:
Fix new talk page message notification

https://gerrit.wikimedia.org/r/215664

DannyH closed this task as Resolved.Jun 4 2015, 9:08 PM
DannyH moved this task from QA Review to Done on the Collaboration-Team-Sprint-C-2015-06-17 board.
DannyH moved this task from Current workboard to Resolved on the Collaboration-Team-Triage board.